/****************************************************************************
 * 전후사진 등록
 ****************************************************************************/
function fn_insertWebPhotoPetit() {
    if ("Y" != insertUseYn) {
        modalEvent.warning("", "등록 권한이 없습니다.");
        return false;
    }

    let title = $("#title").val();
    let content = $("#content").val();
    let hashtag = $("#hashtag").val();
    let categoryno = $("select[name=categorylist]").val();

    let beforeFile = $("#before_file")[0].files[0];
    let afterFile = $("#after_file")[0].files[0];

    if (true != fn_emptyCheck(categoryno)) {
        modalEvent.warning("등록", "카테고리를 입력하세요.");
        return;
    }
    if (true != fn_emptyCheck(title)) {
        modalEvent.warning("등록", "제목을 입력하세요.");
        return;
    }
    if (true != fn_emptyCheck(content)) {
        modalEvent.warning("등록", "내용을 입력하세요.");
        return;
    }
    if (true != fn_emptyCheck(hashtag)) {
        modalEvent.warning("등록", "해시태그를 입력하세요.");
        return;
    }

    if (true != fn_emptyCheck(beforeFile)) {
        modalEvent.warning("등록", "Before 사진을 첨부하세요.");
        return;
    }
    if (true != fn_emptyCheck(afterFile)) {
        modalEvent.warning("등록", "After 사진을 첨부하세요.");
        return;
    }

    modalEvent.info("등록", "전후사진(쁘띠) 정보를 등록하시겠습니까?", function () {
        let formData = new FormData();
        formData.append("menuClass", menuClass);
        formData.append("categoryno", categoryno);
        formData.append("title", title);
        formData.append("content", content);
        formData.append("hashtag", hashtag);
        formData.append("beforeFile", beforeFile);
        formData.append("afterFile", afterFile);

        $.ajax({
            url: encodeURI('/webphotopetit/insertWebPhotoPetit.do'),
            data: formData,
            dataType: "json",
            processData: false,
            contentType: false,
            type: 'POST',
            async: true,
            success: function (data) {
                if ('0' == data.msgCode) {
                    modalEvent.success("등록 성공", data.msgDesc, function () {
                        fn_selectListWebPhotoPetitIntro();
                    });
                }
                else {
                    modalEvent.danger("등록 오류", data.msgDesc);
                }
            },
            error: function (xhr, status, error) {
                modalEvent.danger("등록 오류", "등록 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
            },
            beforeSend: function () {

            },
            complete: function () {

            }
        });
    });
}




/****************************************************************************
 * 배너 이미지 미리보기
 ****************************************************************************/
function fn_beforeFilePreview() {
    const file = $("#before_file")[0].files[0];
    if (file) {
        $('#before_img_box').html('');
        const reader = new FileReader();

        reader.onload = function (e) {
            // 이미지 요소를 생성하고 미리보기 추가
            const img = document.createElement('img');
            img.src = e.target.result;
            img.style.width = '100%';
            img.style.height = '100%';
            img.style.objectFit = 'cover';
            img.style.display = 'block';
            $('#before_img_box').append(img);
        };

        // 파일을 읽기 시작
        reader.readAsDataURL(file);
    }
}
/****************************************************************************
 * 배너 이미지 삭제
 ****************************************************************************/
function fn_removeBeforePreview() {
    $("#before_file").val('');
    $('#before_img_box').html('');
}
/****************************************************************************
 * 배너 이미지 미리보기
 ****************************************************************************/
function fn_afterFilePreview() {
    const file = $("#after_file")[0].files[0];
    if (file) {
        $('#after_img_box').html('');
        const reader = new FileReader();

        reader.onload = function (e) {
            // 이미지 요소를 생성하고 미리보기 추가
            const img = document.createElement('img');
            img.src = e.target.result;
            img.style.width = '100%';
            img.style.height = '100%';
            img.style.objectFit = 'cover';
            img.style.display = 'block';
            $('#after_img_box').append(img);
        };

        // 파일을 읽기 시작
        reader.readAsDataURL(file);
    }
}
/****************************************************************************
 * 배너 이미지 삭제
 ****************************************************************************/
function fn_removeAfterPreview() {
    $("#after_file").val('');
    $('#after_img_box').html('');
}

/****************************************************************************
 * 리스트 화면으로 이동.
 ****************************************************************************/
function fn_selectListWebPhotoPetitIntro() {
    if ("Y" == selectUseYn) {
        let paramUrl = "?menuClass=" + menuClass;
        fn_leftFormAction("/webphotopetit/selectListWebPhotoPetitIntro.do" + paramUrl);
    } else {
        modalEvent.warning("", "조회 권한이 없습니다.");
        return false;
    }
}

/****************************************************************************
 * 페이지 init
 ****************************************************************************/
function fn_pageInit() {
    // 날짜 datepicker
    fn_searchDatePicker("#eventStartDate", "#eventEndDate");
}

/****************************************************************************
 * 페이지 event
 ****************************************************************************/
function fn_pagePhoto() {
    // 검색 input
    $('.btnCancle').on("click", function () {
        fn_selectListWebPhotoPetitIntro();
    });

    $('.btnSave').on("click", function () {
        fn_insertWebPhotoPetit();
    });
    $('#before_delete_btn').on("click", function () {
        fn_removeBeforePreview();
    });
    $('#before_file').on('change', function (e) {
        fn_beforeFilePreview();
    });
    $('#after_delete_btn').on("click", function () {
        fn_removeAfterPreview();
    });
    $('#after_file').on('change', function (e) {
        fn_afterFilePreview();
    });
}


$(function () {
    // 페이지 init
    fn_pageInit();

    // 페이지 event
    fn_pagePhoto();
});
